Search Unity

5.5b4 Gradle Build for Android

Discussion in '5.5 Beta' started by Kujo87, Sep 26, 2016.

  1. Kujo87

    Kujo87

    Joined:
    Sep 16, 2013
    Posts:
    153
    I've been experimenting with the new Gradle build feature but so far, haven't been able to make an APK for my game. I've done a simple upgrade of my project to 5.5 and tried to build with Gradle, but I'm always being told:

    Code (csharp):
    1.  
    2. * What went wrong:
    3. Execution failed for task ':transformClassesWithDexForRelease'.
    4. > com.android.build.api.transform.TransformException: com.android.ide.common.process.ProcessException: java.util.concurrent.ExecutionException: com.android.dex.DexException: Multiple dex files define Lcom/google/unity/BuildConfig;
    I'm using Unity IAP, GoogleAdsMobile 3.0.7 and UnityAds (not sure of the version) with the most recent mediation adapter from Google.
     
    MrEsquire likes this.
  2. LeonhardP

    LeonhardP

    Unity Technologies

    Joined:
    Jul 4, 2016
    Posts:
    2,753
    Hi Kujo87,
    Could you please file a bug report with a minimal reproduction case and write the case # in this thread?
     
  3. Kujo87

    Kujo87

    Joined:
    Sep 16, 2013
    Posts:
    153
    Certainly. Case #835480
     
unityunity